For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet API tokens
      • POSTCreate API token
      • GETGet API tokens by name
      • PUTUpdate API token
      • DELDelete API token

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAPI tokens

Update API token

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/api-tokens/:token
PUT
/api/admin/api-tokens/:token
$curl -X PUT https://app.unleash-instance.example.com/api/admin/api-tokens/token \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "expiresAt": "2023-09-04T11:26:24+02:00"
>}'
1{}

Updates an existing API token with a new expiry date. The token path parameter is the token’s secret. If the token does not exist, this endpoint returns a 200 OK, but does nothing.

Was this page helpful?
Previous

Delete API token

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

tokenstringRequired

Request

updateApiTokenSchema
expiresAtstringRequiredformat: "date-time"
The new time when this token should expire.

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error